package graphic.services;

import java.util.*;

public class TimeInstance {
	public static ResourceBundle res;
	public final static int TYPE_HOURS=0;
	public final static int TYPE_MINUTES=1;
	public final static int TYPE_SECONDS=2;
	private int type;
	private int time;
	
	public TimeInstance(int time, int TYPE) {
		this.type = TYPE;
		this.time = time;
	}
	
	public String toString() {
		String label="";
			if (res != null) {
			switch (type) {
				case TYPE_HOURS:
					label = res.getString("h");
					break;
				case TYPE_MINUTES:
					label = res.getString("m");
					break;
				case TYPE_SECONDS:
					label = res.getString("s");
			}
		}
		
		return time+label;
	}
	
	public int getTime() {
		return time;
	}
	
	public int getType() {
		return type;
	}
}
