package server.commands;

import java.io.*;

public class Rnto extends AbstractCommand{
  
 	public void carryOut(String order){
		
    File file = makeFileOfOrder(order);
		
		if(ses.fileSystem.canWrite(file)){
      
			if (ses.fileSystem.isRenameSet() && ses.fileSystem.renameFileTo(file)) {
					command.run("250 RNTO command successful.");
			}else  {
					command.run("553 " + file.getAbsolutePath() + ": No such file or directory.");
			}
			
    }else
      command.run("550 Access denied.");

  }
}