package server.event;

import java.io.File;
import server.UserSession;

/**
 * Can be extended by those, who should wish to listen to a UserSession-Objekt (a client).
 */
public class UserSessionObserverAdapter implements UserSessionObserver {

	public void commandUpdate(String command) {
	}
	
	public void serverResponse(String response) {
	}
	
	public void fileTransferStarted(File filename) {
	}
	
	public void fileTransferEnded(boolean successfull) {
	}
	
	public void bytesTransmitted(long[] data) {
	}
	
	public void userLogedIn(UserSession usersession) {
	}
	
	public void userLogedOut(UserSession usersession) {
	}
	
	public void userDisconnected(UserSession userSession, int reasonCode) {
	}
}