package server.services;

import java.net.*;
import java.io.*;

import server.*;

public class PasiveServer extends Thread{
	
	private int localPort;
	private Command command;
	private PortCalc pc;
  
	public PasiveServer(int localPort, PortCalc pc, Command command){
		this.localPort = localPort;	
		this.command = command;
    this.pc = pc;
	}
	
	public void run(){
		try{
			ServerSocket ss = new ServerSocket(localPort,100);
			ss.setSoTimeout(60000);
      command.run(pc.getMessage());
			command.makeDataSocket( ss.accept() );
      command.ClientConnected(true);
		}
    catch(SocketException se){
      pc.calcPort();
    }
    catch(IOException ioe){
      command.ClientConnected(false);
    }
	}
}