package server.services.tree;

import java.io.*;
import java.util.*;

public class BinTreeFile{
  
  
  public BinTreeFile(){
  }
  
  protected TreeNode Root;
  
  private LinkedList list = new LinkedList();

  private TreeNode insert(TreeNode tree, File newElement){
    if (tree==null)
      return new TreeNode(newElement);
    else if (newElement.getName().toLowerCase().compareTo(tree.Element.getName().toLowerCase()) < 0 )
      tree.Left = insert(tree.Left, newElement);
    else
      tree.Right = insert(tree.Right, newElement);
    return tree;
  }
  
  public void insert(File newElement){
    Root = insert(Root, newElement);
  }

  private Object[] udskriv(TreeNode tree){
    
    if (tree!=null){
      udskriv(tree.Left);
      list.add(tree.Element);
      udskriv(tree.Right);
    }
    return list.toArray();
  }
  
  public Object[] udskriv(){
    return udskriv(Root);
  }
  
  public boolean soeg(String target) {
    return soeg(target,Root);
  }
  
  public boolean soeg(String target,TreeNode tree) {
    if (tree!=null) {
      if (tree.Element.getName().intern()==target)
        return true;
      if (target.compareTo(tree.Element.getName()) < 0 )
        // target skal findes i venstre undertr
        return soeg(target,tree.Left);
      else
        // target skal findes i hjre undertr
        return soeg(target,tree.Right);
    }
    else
      return false;
  }
}