package server.commands;

import javax.crypto.Cipher;
import javax.crypto.SecretKey;
import javax.crypto.SecretKeyFactory;
import javax.crypto.spec.PBEKeySpec;
import javax.crypto.spec.PBEParameterSpec;

import server.Conf;
import server.services.Crypt;
import server.services.Dock;
import setup.NoSuchOptionException;
import sun.misc.BASE64Decoder;
import sun.misc.BASE64Encoder;

public class Pass extends AbstractCommand {

	private Conf conf;
	
	public void start() {
		conf = Conf.getInstance();
	}

	public void carryOut(String order) {
		if (ses.xml == null)
			command.run("Bad sequence of commands.");
		else {	
			try {			
				String dpass = new Crypt(ses.xml.getOptionValue("username")).decrypt(ses.xml.getOptionValue("password"));			
				if (dpass.equals(order) || dpass.equals("")) {//login & pass = ok
					if (Dock.canUserLogin(ses)) {
						if (Conf.getUserOption(ses.xml,"admin").equals("yes"))
							ses.setAdmin();
					
						ses.setLogedIn(true);
						command.run("230 User logged in, proceed.");
					} else {
						command.run("550 You have exceeded you maximum allowed logins.");
					}

				} else {
					command.run("530 Not logged in.");
				}

			} catch (NoSuchOptionException nsoe) {
				ses.bb.commandoException(nsoe, "The Password for the user: " + ses.getLogin() + " were not found. No access is granted.");
				command.run("530 Not logged in.");
			}
		}
	}
}