package server.commands;

import java.util.*;
import java.net.*;
import server.*;
import server.services.*;

public class Port extends AbstractCommand{
  
	//port tillader bounceattack p brugerniveau.
 	public void carryOut(String order){
		
		int[] arr = new int[6];
		int i = 0;
		
    StringTokenizer str = new StringTokenizer(order, ",");
    if (str.countTokens() == 6 ){
	    try{
				while (str.hasMoreTokens()) {
		      arr[i++] = Integer.parseInt( str.nextToken() );
		    }
				
		    int port = (arr[4]*256) + arr[5];
		    if (port < 256*256 && port > 0){
		        ses.dataPort=port;
		    		ses.mode=true;
						
						if (Conf.getUserOption(ses.xml,"allow_bounce_attack").equals("ja"))
							ses.dataIP = arr[0] + "." + arr[1] + "." + arr[2] + "." + arr[3];
						else
							ses.dataIP = ses.clientCommandSocket.getInetAddress().getHostAddress();
						
		        command.run("200 PORT Command successful.");
		    }else
		    	command.run("501 Syntax error in parameters or arguments. Port out of range[" + port + "]");	
				
	    }catch(NumberFormatException nfe){
	    	command.run("501 Syntax error in parameters or arguments. Illegal Port! Not a number?");
	    }
	  }else
  		command.run("501 Syntax error in parameters or arguments.");
  }
}