package server.commands;

import java.io.*;

public class Rnfr extends AbstractCommand{
  
 	public void carryOut(String order){
		
    File file = makeFileOfOrder(order);
    if(ses.fileSystem.canWrite(file)){
  		if (file.exists()) {
      	ses.fileSystem.renameFileFrom(file);
        command.run("350 File exists, ready for destination name");
  		}else
        command.run("550 " + file.getAbsolutePath() + ": No such file or directory.");
    }else
      command.run("550 Access denied.");
  }
}