package server.services;

import javax.crypto.Cipher;
import javax.crypto.SecretKey;
import javax.crypto.SecretKeyFactory;
import javax.crypto.spec.PBEKeySpec;
import javax.crypto.spec.PBEParameterSpec;

import sun.misc.BASE64Decoder;
import sun.misc.BASE64Encoder;

/**
 * Encryption/decryption class
 */
public class Crypt {

	private Cipher encryptCipher;

	private Cipher decryptCipher;

	private BASE64Encoder encoder = new BASE64Encoder();

	private BASE64Decoder decoder = new BASE64Decoder();

	public Crypt(String user) throws SecurityException {
		char[] pass = (user + "k3#ik44==11+" + user + "dkc,mbh2'Sie.c^'*?`" + user).toCharArray();

		byte[] salt = "kse23dcu".getBytes();

		int iterations = 3;

		init(pass, salt, iterations);

	}

	public void init(char[] pass, byte[] salt, int iterations) throws SecurityException {

		try {

			PBEParameterSpec ps = new PBEParameterSpec(salt, 20);

			SecretKeyFactory kf = SecretKeyFactory.getInstance("PBEWithMD5AndDES");

			SecretKey k = kf.generateSecret(new PBEKeySpec(pass));

			encryptCipher = Cipher.getInstance("PBEWithMD5AndDES/CBC/PKCS5Padding");

			encryptCipher.init(Cipher.ENCRYPT_MODE, k, ps);

			decryptCipher = Cipher.getInstance("PBEWithMD5AndDES/CBC/PKCS5Padding");

			decryptCipher.init(Cipher.DECRYPT_MODE, k, ps);

		} catch (Exception e) {

			throw new SecurityException("Could not initialize Crypt: " + e.getMessage());

		}

	}

	/** 
	
	* convenience method for encrypting a string. 
	
	* 
	
	* @param str Description of the Parameter 
	
	* @return String the encrypted string. 
	
	* @exception SecurityException Description of the Exception 
	
	*/

	public synchronized String encrypt(String str) throws SecurityException {

		try {

			byte[] utf8 = str.getBytes("UTF8");

			byte[] enc = encryptCipher.doFinal(utf8);

			return encoder.encode(enc);

		} catch (Exception e) {

			throw new SecurityException("Could not encrypt: " + e.getMessage());

		}

	}

	/** 
	
	* convenience method for encrypting a string. 
	
	* 
	
	* @param str Description of the Parameter 
	
	* @return String the encrypted string. 
	
	* @exception SecurityException Description of the Exception 
	
	*/

	public synchronized String decrypt(String str) throws SecurityException {

		try {

			byte[] dec = decoder.decodeBuffer(str);

			byte[] utf8 = decryptCipher.doFinal(dec);

			return new String(utf8, "UTF8");

		} catch (Exception e) {

			throw new SecurityException("Could not decrypt: " + e.getMessage());

		}

	}

	/**
	 * Method encrypt.
	 * @param c
	 * @return String
	 */
	public String encrypt(char[] c) {
		String temp = "";
		for (int i = 0; i < c.length; i++) {
			temp += c[i];
		}
		return encrypt(temp);
	}
}
	