package server.services;

import java.util.*;
import java.net.*;

import server.*;

public class PortCalc{
  
  private Session ses;
  private Command command;
  private int fromPort, toPort;
  private static int usePort;
    
  public PortCalc(Session ses, Command command){
    this.ses = ses;
    this.command = command;
		int[] arr = Conf.getPassivPorts();
    fromPort = arr[0];
    toPort   = arr[1];
  }
  
  public int calcPort(){
    if (command.DataSocketInUse() == false){    
      if(usePort >= toPort || usePort < fromPort)
        usePort=fromPort-1;
      usePort+=1;
      ses.dataPort = usePort;
			ses.mode = false;
			command.makePasiveServer(this);
      return usePort;
    }
    return -1;
  }
  
  public String getMessage(){
    int p1=(usePort/256);
    int p2=((usePort-((usePort/256)*256)));
    if (p2 < 0){
      p2+=256;
      p1--;
    }
    String port = "227 Entering Passive Mode ("+ses.serverIP + p1 + "," + p2 + ")";
    return port;
  }
}